$(function(){
   //  Issue Items
    $.each($('div.ProjectListPanel table tbody tr'),function(i,n){
        new IssueItemComponent(n);
    });

    function IssueItemComponent(n){
        var _n=n;
        var _h=$(_n);
        var _hasBeenClicked=false;

        $(_h).bind('mouseover',function(){
            $(this).addClass('itemHover');
            return false;
        });

        $(_h).bind('mouseout',function(){
            $(_h).removeClass('itemHover');
        });

        $(_n).bind('click',function(){
           var href=getHref(this);

            if($.isCtrl()){
                window.open(href);
            }else{
                location.href=href;
            }

            return false;
        });

        function getHref(obj){
            var href=$('td:first a',obj).attr('href');
            return href;
        }

    }
});